%global basedir %{_datadir}/icinga-php/vendor

Name:           icinga-php-thirdparty
Version:        0.12.1
Release:        1%{?dist}
Summary:        Icinga PHP Thirdparty for Icinga Web 2
Group:          Applications/System
License:        MIT
URL:            https://icinga.com
Source0:        https://github.com/Icinga/%{name}/archive/v%{version}.tar.gz
BuildArch:      noarch
Requires:       icinga-php-common
Requires:       php-soap
Requires:       php-sockets
Requires:       php-curl
Requires:       php-json


%description
This package bundles all 3rd party PHP libraries
used by Icinga Web products into one piece,
which can be integrated as library into Icinga Web 2.


%prep
%setup -q


%build


%install
mkdir -vp %{buildroot}%{basedir}
cp -vr asset %{buildroot}%{basedir}
cp -vr vendor %{buildroot}%{basedir}
cp -vr composer.* %{buildroot}%{basedir}
cp -vr VERSION %{buildroot}%{basedir}


%clean
rm -rf %{buildroot}


%files
%doc README.md
%license LICENSE
%defattr(-,root,root)
%{basedir}


%changelog
